import { IDriverQuestionSetButtonComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkDriverQuestionSetButton implements IDriverQuestionSetButtonComponent {
    /**
     * Text to be displayed
     */
    text: string;
    /**
     * Id for button
     */
    buttonId: string;
    /**
     * Controls disabled state of button
     */
    buttonDisabled: boolean;
    /**
     * Extra CSS classes to be added onto the question set button
     */
    extraCssClasses: string;
    useExternal: boolean;
    cssClasses: string;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    calculateButtonClasses(extraClasses?: string): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
